%define upstream_name Catalyst-Plugin-Authentication-Credential-PAM
%define upstream_version 0.01
%define abbrevname Catalyst-P-A-Credential-PAM

%{?perl_default_filter}

Name:		perl-%{abbrevname}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3
License:	Artistic/GPL
Group:		Development/Perl
Summary:	Authenticate a user against PAM
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Authen::PAM)
BuildRequires:	perl(Catalyst)
Provides:	perl-%{upstream_name}
BuildArch:	noarch

%description
This is an authentication credential checker that verifies passwords
using a specified PAM service.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.10.0-3.mga6
+ Revision: 1023236
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.10.0-2.mga6
+ Revision: 940460
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.01-11.mga5
+ Revision: 751019
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.01-10.mga5
+ Revision: 683788
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.01-9.mga4
+ Revision: 509730
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.01-8.mga3
+ Revision: 363925
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.01-7.mga1
+ Revision: 40260
- mageia rebuild
- imported package perl-Catalyst-P-A-Credential-PAM

